.TH sfrac 1 "1997 28 Apr" "Free People Free Software" "Linux User's Manual"
.SH NAME
sfrac \- yet another fractal program using the SVGA library
.SH SYNOPSIS
\fBsfrac\fR [\fIOPTIONS\fR]
[\fBiter real\-min real\-max imag\-min imag\-max\fR [
\fIreal\-const imag\-const\fR]]
.SH DESCRIPTION
.B sfrac
allows you to dive into the fantastic world of the
.I Mandelbrot
and
.I Julia
set using \fBLinux\fR's \fISVGA\fRlib.
.br

Invoking
.B sfrac
.I without
any parameters is equivalent to
\fBsfrac\fR \fI\-\-low\fR \fB24 \-2.0 1.0 \-1.25 1.25\fR.
.br

If
.B sfrac
is invoked with
.B 5
parameters, the related
.I Mandelbrot
set is drawn, if invoked with
.B 7
parameters, the related
.I Julia
set is drawn respectively.
.br

As
.B sfrac
uses a
.B fixed\-point\-format
in order to use integer arithmetic, parameters
.I must
be in the range from
.B \-3.999999999
to \fB+3.999999999\fR.
.SH OPTIONS
.B sfrac
supports the following options:
.TP
\fB\-g\fR\ or\ \fB\-\-game\fR
Select
.I game
screen resolution
.B 320x200
.TP
\fB\-l\fR\ or\ \fB\-\-low\fR
Select
.I low
screen resolution
.B 640x480
.br
This is the
.I default
resolution.
.TP
\fB\-m\fR\ or\ \fB\-\-mid\fR
Select
.I mid
screen resolution
.B 800x600
.TP
\fB\-h\fR\ or\ \fB\-\-high\fR
Select
.I high
screen resolution
.B 1024x768
.TP
\fB\-f\fR\ or\ \fB\-\-fp\-only\fR
.I Always
use
.B floating\-point
instead of
.B fixed\-point
arithmetic.
.TP
.B \-\-help
Print a
.I usage
message on standard output and exit successfully.
.TP
.B \-\-version
Print
.I version
information on standard output and exit successfully.
Current
.I version
is \fB1.2.2\fR.
.SH COMMANDS
.B sfrac
operates in either
.I Mandelbrot
or
.I Julia
mode. At startup
.B sfrac
is in
.I Mandelbrot
mode and draws the basic
.I Mandelbrot
image.
.B sfrac
then awaits your command.
.TP
\fBCommands\fR\ available\ in\ \fIboth\fR\ modes:
.RS
.TP
.B h
Invoke the on\-line
.I Mandelbrot
or
.I Julia
.B help
screen.
.TP
\<\fBTAB\fR\>
Switch to text\-mode showing current parameters and the time needed.
.TP
.B z
.B Zoom
deeper into
.I Mandelbrot
or
.I Julia
set.  See section
.B Zooming
for details.
.TP
\fBb\fR\ or\ \fB1\fR
Go back to
.B previous
.I Mandelbrot
or
.I Julia
zoom stage.
.TP
\fB2\fR\ ..\ \fB9\fR
Go back
.B N
.I Mandelbrot
or
.I Julia
zoom stages.
.TP
.B k
.B Keep
the current image save and
.I mark
it for later restoring.
.br
\fINote\fR: This option requires a
.I lot
of memory, so use it sparingly.
.TP
.B l
Go back to
.B last
.I marked
image.
.TP
.B r
.B Restart
with basic
.I Mandelbrot
or
.I Julia
image depending on what mode
.B sfrac
is currently in.
.TP
.B c
.B Change
screen resolution. The current image will be
.I re\-drawn
using the selected resolution.
.TP
.B s
.B Save
current image in \fBP\fR\fIortable\fR\fBP\fR\fIix\fR\fBM\fR\fIap\fR format
under the name you'll be prompted for
.I without
the
.B .ppm
extension.
.TP
.B q
.B Quit
the program.
.RE
.TP
\fBCommands\fR\ available\ \fIonly\fR\ in\ \fBMandelbrot\fR\ mode:
.RS
.TP
.B j
Switch to
.I Julia
mode. You'll have to specify the
.I "constant value"
using the same mechanism as for
.B Zooming
described below.
.RE
.TP
\fBCommands\fR\ available\ \fIonly\fR\ in\ \fBJulia\fR\ mode:
.RS
.TP
.B m
Go back to invoking
.I Mandelbrot
mode.
.TP
.B R
.B Restart
with basic
.I Mandelbrot
image.
.RE
.PP
.TP
\fBZooming\fR:
.RS
You'll have to specify the
.B "zoom window"
and the iteration count. The
.B "zoom window"
will be specified by moving 4
.I white
lines representing the
.I left
and
.I right
.B "X axis"
and the
.I upper
and
.I lower
.B "Y axis"
respectively.
.TP
\fBCommands\fR\ selecting\ the\ \fIX\ axis\fR:
.RS
.TP
.B h
Invoke the on\-line
.I "select X axis"
.B help
screen.
.TP
\fBl\fR\ or\ \<\fBleft\fR\>
Move the
.I "X axis"
left.
.TP
\fBr\fR\ or\ \<\fBright\fR\>
Move the
.I "X axis"
right.
.TP
\fB1\fR\ ..\ \fB0\fR
Adjust movement step from
.B 1
to
.B 10
.TP
\<\fBspace\fR\>\ or\ \<\fBreturn\fR\>
Accept the current
.I "X axis"
setting.
.RE
.TP
\fBCommands\fR\ selecting\ the\ \fIY\ axis\fR:
.RS
.TP
.B h
Invoke the on\-line
.I "select Y axis"
.B help
screen.
.TP
\fBu\fR\ or\ \<\fBup\fR\>
Move the
.I "Y axis"
up.
.TP
\fBd\fR\ or\ \<\fBdown\fR\>
Move the
.I "Y axis"
down.
.TP
\fB1\fR\ ..\ \fB0\fR
Adjust movement step from
.B 1
to
.B 10
.TP
\<\fBspace\fR\>\ or\ \<\fBreturn\fR\>
Accept the current
.I "Y axis"
setting.
.RE
.PP
Finally the iteration count need to be entered. Just pressing
\<\fBreturn\fR\> will select the
.I previous
one. Although you
.B have
to
.I increase
the iteration count with
.I every
.B zoom
stage,
.B sfrac
will
.I not
force this.
.B sfrac
.I only
ensures the iteration count is
.I not
lower than the previous one.
.RE
.SH EXAMPLES
Too \fInumerous\fR, but try this one:
.br

.B sfrac
.I \-h
450 .350727408 .351267527 .367908152 .368510035
.br

Be prepared to smoke a cigarette and drink a cup of coffee as a
.B i80486/DX2\-66
will need
.I 8 minutes 04.25 seconds
to compute it.
.SH BUGS
Hope you like my
.B color palette
setting using 128+1 colors
.I only
:\-)
.br

You'll have to compile the
.B Netpbm\-Tools
with the
.I "raw bits"
option turned on, as otherwise an image with a resolution of
.B 640x480
would use
.I "3 megs"
of memory.
.br

This little piece of software is
.I not
meant to be portable in that sense, as it relies upon the
.B SVGA
library and uses
.I "i80486 assembly code"
to speed things up.
.br

\fBSVGA\fRlib's environment variable
.B GSVGAMODE
is
.I not
supported.
.br

You should
.I not
switch the
.I "virtual console"
while in \fBsfrac\fR's text\-mode. This is a problem with the
.B SVGA
library.
.br

If an image is \fImarked\fR, the
.B "change resolution"
command
.I doesn't
work.
.br

Any
.I comments
and/or
.I suggestions
are welcome, but keep two things in mind:
.TP
.B o
it's my first program using the
.B SVGA
library
.TP
.B o
it's a quick hack
.SH LICENSE
.B sfrac
is \fBFreeware\fR. You can do what you want with it, \fIexcept\fR:
.TP
.B o
state you've written it
.TP
.B o
make money with it (it's
.I not
worth for that)
.TP
.B o
give it to others
.I without
the sources
.SH AUTHOR
.I "Thomas M. Ott"
.br
eMail:
.B Labalutsch@aol.com
